Commit f3cbcb17 authored by Kavindra Palaraja's avatar Kavindra Palaraja
Browse files

Merge branch 'master' of git@scm.dev.nokia.troll.no:creator/mainline

parents de4cf86d 3b5b1e28
QtCreator 1.0.0
===============
QtCreator is a crossplatform C++ IDE for development with the Qt framework.
Supported Platforms
===================
The binary packages support
Windows XP SP2, Windows Vista
(K)Ubuntu Linux 5.04, (K)Ubuntu Linux 7.04 32bit and 64bit
Mac OS 10.4 and later
Building the sources require Qt 4.5.0 or later.
Third-party components
======================
QtCreator includes the following third-party components,
we thank the authors who made this possible:
* Open Source front-end for C++ (license MIT), enhanced for use in Qt Creator
Roberto Raggi <roberto.raggi@gmail.com>
QtCreator/src/shared/cplusplus
/***************************************************************************
/**************************************************************************
**
** This file is part of Qt Creator
**
** Copyright (c) 2008-2009 Nokia Corporation and/or its subsidiary(-ies).
** Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
**
** Contact: Qt Software Information (qt-info@nokia.com)
**
** Commercial Usage
**
** Non-Open Source Usage
** Licensees holding valid Qt Commercial licenses may use this file in
** accordance with the Qt Commercial License Agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Nokia.
**
** Licensees may use this file in accordance with the Qt Beta Version
** License Agreement, Agreement version 2.2 provided with the Software or,
** alternatively, in accordance with the terms contained in a written
** agreement between you and Nokia.
** GNU Lesser General Public License Usage
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file. Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** Alternatively, this file may be used under the terms of the GNU General
** Public License versions 2.0 or 3.0 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the packaging
** of this file. Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.
**
** http://www.fsf.org/licensing/licenses/info/GPLv2.html and
** http://www.gnu.org/copyleft/gpl.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights. These rights are described in the Nokia Qt GPL Exception
** version 1.3, included in the file GPL_EXCEPTION.txt in this package.
**
***************************************************************************/
**************************************************************************/
#include "textfinder.h"
......
/***************************************************************************
/**************************************************************************
**
** This file is part of Qt Creator
**
** Copyright (c) 2008-2009 Nokia Corporation and/or its subsidiary(-ies).
** Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
**
** Contact: Qt Software Information (qt-info@nokia.com)
**
** Commercial Usage
**
** Non-Open Source Usage
** Licensees holding valid Qt Commercial licenses may use this file in
** accordance with the Qt Commercial License Agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Nokia.
**
** Licensees may use this file in accordance with the Qt Beta Version
** License Agreement, Agreement version 2.2 provided with the Software or,
** alternatively, in accordance with the terms contained in a written
** agreement between you and Nokia.
** GNU Lesser General Public License Usage
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file. Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** Alternatively, this file may be used under the terms of the GNU General
** Public License versions 2.0 or 3.0 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the packaging
** of this file. Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.
**
** http://www.fsf.org/licensing/licenses/info/GPLv2.html and
** http://www.gnu.org/copyleft/gpl.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights. These rights are described in the Nokia Qt GPL Exception
** version 1.3, included in the file GPL_EXCEPTION.txt in this package.
**
***************************************************************************/
**************************************************************************/
#include "textfinder.h"
......
/***************************************************************************
/**************************************************************************
**
** This file is part of Qt Creator
**
** Copyright (c) 2008-2009 Nokia Corporation and/or its subsidiary(-ies).
** Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
**
** Contact: Qt Software Information (qt-info@nokia.com)
**
** Commercial Usage
**
** Non-Open Source Usage
** Licensees holding valid Qt Commercial licenses may use this file in
** accordance with the Qt Commercial License Agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Nokia.
**
** Licensees may use this file in accordance with the Qt Beta Version
** License Agreement, Agreement version 2.2 provided with the Software or,
** alternatively, in accordance with the terms contained in a written
** agreement between you and Nokia.
** GNU Lesser General Public License Usage
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file. Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** Alternatively, this file may be used under the terms of the GNU General
** Public License versions 2.0 or 3.0 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the packaging
** of this file. Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.
**
** http://www.fsf.org/licensing/licenses/info/GPLv2.html and
** http://www.gnu.org/copyleft/gpl.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights. These rights are described in the Nokia Qt GPL Exception
** version 1.3, included in the file GPL_EXCEPTION.txt in this package.
**
***************************************************************************/
**************************************************************************/
#ifndef TEXTFINDER_H
#define TEXTFINDER_H
......
......@@ -5,13 +5,13 @@
\title Qt Creator Manual
\section1 Version 0.9.2 (Release Candidate)
\section1 Version 1.0.0
The goal of Qt Creator is to provide a cross-platform, complete Integrated
Development Environment (IDE) to develop Qt projects. It is available for
the Linux, Mac OS X and Windows platforms.
\note The current version of Qt Creator is 0.9.2 (Release Candidate). It is
\note The current version of Qt Creator is 1.0.0 . It is
possible to edit source code, compile, run and debug applications; other
features are still under development. Please send bug reports and
suggestions to qt-creator@trolltech.com. To subscribe, send a
......@@ -59,7 +59,7 @@
\o \l{Tips and Tricks}
\o \l{Keyboard Shortcuts}
\o \l{Glossary}
\o \l{Known Issues of Version 0.9.2 (Release Candidate)}
\o \l{Known Issues of Version 1.0.0}
\endlist
*/
......@@ -1420,9 +1420,9 @@
\previouspage creator-keyboard-shortcuts.html
\page creator-known-issues.html
\title Known Issues of Version 0.9.2 (Release Candidate)
\title Known Issues of Version 1.0.0
There are some known issues with Qt Creator 0.9.2 (Release Candidate).
There are some known issues with Qt Creator 1.0.0 .
The development team is aware of those, there is no need to report them as bug.
\list
......
......@@ -17,15 +17,15 @@ sources.fileextensions = "qtcreator.qdoc"
qhp.projects = QtCreator
qhp.QtCreator.file = qtcreator.qhp
qhp.QtCreator.namespace = com.nokia.qtcreator.092
qhp.QtCreator.namespace = com.nokia.qtcreator.100
qhp.QtCreator.virtualFolder = doc
qhp.QtCreator.indexTitle = Qt Creator
qhp.QtCreator.indexRoot =
qhp.QtCreator.extraFiles = classic.css \
images/qt-logo.png
qhp.QtCreator.filterAttributes = qtcreator 0.9.2
qhp.QtCreator.customFilters.QtCreator.name = Qt Creator 0.9.2
qhp.QtCreator.customFilters.QtCreator.filterAttributes = qtcreator 0.9.2
qhp.QtCreator.filterAttributes = qtcreator 1.0.0
qhp.QtCreator.customFilters.QtCreator.name = Qt Creator 1.0.0
qhp.QtCreator.customFilters.QtCreator.filterAttributes = qtcreator 1.0.0
# macros.qdocconf
......@@ -201,5 +201,5 @@ HTML.footer = "<p /><address><hr /><div align=\"center\">\n" \
"<table width=\"100%\" cellspacing=\"0\" border=\"0\"><tr class=\"address\">\n" \
"<td width=\"30%\" align=\"left\">Copyright &copy; 2008 Nokia</td>\n" \
"<td width=\"40%\" align=\"center\">&nbsp;</td>\n" \
"<td width=\"30%\" align=\"right\"><div align=\"right\">Qt Creator 0.9.2</div></td>\n" \
"<td width=\"30%\" align=\"right\"><div align=\"right\">Qt Creator 1.0.0</div></td>\n" \
"</tr></table></div></address>"
/***************************************************************************
/**************************************************************************
**
** This file is part of Qt Creator
**
** Copyright (c) 2008-2009 Nokia Corporation and/or its subsidiary(-ies).
** Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
**
** Contact: Qt Software Information (qt-info@nokia.com)
**
** Commercial Usage
**
** Non-Open Source Usage
** Licensees holding valid Qt Commercial licenses may use this file in
** accordance with the Qt Commercial License Agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Nokia.
**
** Licensees may use this file in accordance with the Qt Beta Version
** License Agreement, Agreement version 2.2 provided with the Software or,
** alternatively, in accordance with the terms contained in a written
** agreement between you and Nokia.
** GNU Lesser General Public License Usage
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file. Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** Alternatively, this file may be used under the terms of the GNU General
** Public License versions 2.0 or 3.0 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the packaging
** of this file. Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.
**
** http://www.fsf.org/licensing/licenses/info/GPLv2.html and
** http://www.gnu.org/copyleft/gpl.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights. These rights are described in the Nokia Qt GPL Exception
** version 1.3, included in the file GPL_EXCEPTION.txt in this package.
**
***************************************************************************/
**************************************************************************/
// This script file demos the scripting features
// of Qt Creator.
......
......@@ -16,14 +16,14 @@ fi
OLD=`sed 's/\./\\\\./g' <<<"$1"`
NEW=`sed 's/\./\\\\./g' <<<"$2"`
OLD_MAJOR=`sed 's/^\([0-9]\+\)\.[0-9]\+\.[0-9]\+$/\1/' <<<"$1"`
NEW_MAJOR=`sed 's/^\([0-9]\+\)\.[0-9]\+\.[0-9]\+$/\1/' <<<"$2"`
OLD_MAJOR=`sed 's/^\([0-9]\)\.[0-9]\.[0-9]$/\1/' <<<"$1"`
NEW_MAJOR=`sed 's/^\([0-9]\)\.[0-9]\.[0-9]$/\1/' <<<"$2"`
OLD_MINOR=`sed 's/^[0-9]\+\.\([0-9]\+\)\.[0-9]\+$/\1/' <<<"$1"`
NEW_MINOR=`sed 's/^[0-9]\+\.\([0-9]\+\)\.[0-9]\+$/\1/' <<<"$2"`
OLD_MINOR=`sed 's/^[0-9]\.\([0-9]\)\.[0-9]$/\1/' <<<"$1"`
NEW_MINOR=`sed 's/^[0-9]\.\([0-9]\)\.[0-9]$/\1/' <<<"$2"`
OLD_RELEASE=`sed 's/^[0-9]\+\.[0-9]\+\.\([0-9]\+\)$/\1/' <<<"$1"`
NEW_RELEASE=`sed 's/^[0-9]\+\.[0-9]\+\.\([0-9]\+\)$/\1/' <<<"$2"`
OLD_RELEASE=`sed 's/^[0-9]\.[0-9]\.\([0-9]\)$/\1/' <<<"$1"`
NEW_RELEASE=`sed 's/^[0-9]\.[0-9]\.\([0-9]\)$/\1/' <<<"$2"`
OLD_THREE="${OLD_MAJOR}${OLD_MINOR}${OLD_RELEASE}"
NEW_THREE="${NEW_MAJOR}${NEW_MINOR}${NEW_RELEASE}"
......@@ -53,7 +53,7 @@ echo
## Make script safe to call from anywhere by going home first
SCRIPT_DIR=`dirname "${PWD}/$0"`
SCRIPT_DIR=`dirname "${PWD}/$0"`/..
echo "Entering directory \`${SCRIPT_DIR}'"
pushd "${SCRIPT_DIR}" &>/dev/null || exit 1
......@@ -61,7 +61,7 @@ pushd "${SCRIPT_DIR}" &>/dev/null || exit 1
## Patch *.pluginspec
while read i ; do
echo "Patching \`$i'"
TMPFILE=`mktemp`
TMPFILE=`mktemp versionPatch.XXXXXX`
sed -e 's/version="'"${OLD}"'"/version="'"${NEW}"'"/' \
-e 's/compatVersion="'"${OLD}"'"/compatVersion="'"${NEW}"'"/' \
"${i}" > "${TMPFILE}"
......@@ -70,7 +70,7 @@ done < <(find . -name '*.pluginspec')
## Patch coreconstants.h
TMPFILE=`mktemp`
TMPFILE=`mktemp versionPatch.XXXXXX`
CORE_CONSTANT_H="${SCRIPT_DIR}/src/plugins/coreplugin/coreconstants.h"
echo "Patching \`${CORE_CONSTANT_H}'"
sed \
......@@ -82,8 +82,8 @@ mv -f "${TMPFILE}" "${CORE_CONSTANT_H}"
## Patch installer.rc
TMPFILE=`mktemp`
INSTALLER_RC="${SCRIPT_DIR}/../ide/nightly_builds/installer/installer.rc"
TMPFILE=`mktemp versionPatch.XXXXXX`
INSTALLER_RC="${SCRIPT_DIR}/../../dev/ide/nightly_builds/installer/installer.rc"
echo "Patching \`${INSTALLER_RC}'"
sed \
-e "s/"${OLD_DOT_FOUR}"/"${NEW_DOT_FOUR}"/" \
......@@ -94,8 +94,8 @@ mv -f "${TMPFILE}" "${INSTALLER_RC}"
## Patch Info.plist
TMPFILE=`mktemp`
INFO_PLIST="${SCRIPT_DIR}/src/app/Info.plist"
TMPFILE=`mktemp versionPatch.XXXXXX`
INFO_PLIST="${SCRIPT_DIR}/share/qtcreator/Info.plist"
echo "Patching \`${INFO_PLIST}'"
sed \
-e "s/"${OLD}"/"${NEW}"/" \
......@@ -104,7 +104,7 @@ mv -f "${TMPFILE}" "${INFO_PLIST}"
## Patch qtcreator.qdocconf
TMPFILE=`mktemp`
TMPFILE=`mktemp versionPatch.XXXXXX`
QDOCCONF="${SCRIPT_DIR}/doc/qtcreator.qdocconf"
echo "Patching \`${QDOCCONF}'"
sed \
......@@ -115,11 +115,11 @@ mv -f "${TMPFILE}" "${QDOCCONF}"
## Patch qtcreator.qdoc
TMPFILE=`mktemp`
TMPFILE=`mktemp versionPatch.XXXXXX`
QDOC="${SCRIPT_DIR}/doc/qtcreator.qdoc"
echo "Patching \`${QDOC}'"
sed \
-e 's/\(The current version of Qt Creator is \)'${OLD_DOT_THREE}'/\1'${NEW_DOT_THREE}'/' \
-e 's/'${OLD_DOT_THREE}'/'${NEW_DOT_THREE}'/' \
"${QDOC}" > "${TMPFILE}"
mv -f "${TMPFILE}" "${QDOC}"
......
#!/usr/bin/env bash
version="4.5-rc1"
workdir=/home/berlin/dev/qt-${version}-temp
destdir=/home/berlin/dev/qt-${version}-shipping/qt # "/qt" suffix for Bitrock
dir=qt-x11-opensource-src-${version}
file_tar="${dir}.tar"
file_tar_gz="${file_tar}.gz"
[ -z ${MAKE} ] && MAKE=make
envpath=/usr/bin:/bin
if gcc -dumpversion | grep '^4' ; then
# GCC 4.x machine
webkit=
else
# GCC 3.3.5 machine
webkit='-no-webkit'
fi
die() {
echo $1 1>&2
exit 1
}
rand_range() {
incMin=$1
incMax=$2
echo $((RANDOM*(incMax-incMin+1)/32768+incMin))
}
setup() {
mkdir -p "${workdir}"
cd "${workdir}" || die "cd failed"
}
download() {
[ -f "${file_tar_gz}" ] && return
case `rand_range 1 2` in
1)
mirror=http://ftp.ntua.gr/pub/X11/Qt/qt/source
;;
*)
mirror=http://wftp.tu-chemnitz.de/pub/Qt/qt/source
;;
esac
wget "${mirror}/${file_tar_gz}" || die "Download failed"
}
unpack() {
[ -d "${dir}" ] && return
gzip -d "${file_tar_gz}" || die "gunzip failed"
tar -xf "${file_tar}" || die "untar failed"
}
build() {
(
cd "${dir}" || die "cd failed"
if [ ! -f config.status ] ; then
env -i PATH=${envpath} ./configure \
-prefix "${destdir}" \
-optimized-qmake \
-confirm-license \
\
-no-mmx -no-sse -no-sse2 -no-3dnow \
-release -fast \
${webkit} \
-qt-zlib -qt-gif -qt-libtiff -qt-libpng -qt-libmng -qt-libjpeg \
\
|| die "configure failed"
fi
env -i PATH=${envpath} "${MAKE}" || die "make failed"
)
ret=$?; [ ${ret} = 0 ] || exit ${ret}
}
inst() {
(
cd "${dir}" || die "cd failed"
if [ ! -d "${destdir}" ]; then
mkdir -p "${destdir}"
env -i "${MAKE}" install || die "make install failed"
fi
# Fix rpath's
cd "${destdir}" || die "cd failed"
find bin -mindepth 1 -maxdepth 1 -type f -perm -100 | xargs -n 1 chrpath -r '$ORIGIN/../lib'
find lib -mindepth 1 -maxdepth 1 -type f -perm -100 | xargs -n 1 chrpath -r '$ORIGIN'
find . -mindepth 3 -maxdepth 3 -type f -perm -100 | xargs -n 1 chrpath -r '$ORIGIN/../../lib'
find . -mindepth 4 -maxdepth 4 -type f -perm -100 | xargs -n 1 chrpath -r '$ORIGIN/../../../lib'
find . -mindepth 5 -maxdepth 5 -type f -perm -100 | xargs -n 1 chrpath -r '$ORIGIN/../../../../lib'
)
ret=$?; [ ${ret} = 0 ] || exit ${ret}
}
main() {
(
setup
download
unpack
build
inst
)
ret=$?; [ ${ret} = 0 ] || exit ${ret}
}
main
......@@ -182,8 +182,8 @@
<key>CFBundleIdentifier</key>
<string>com.nokia.qtcreator</string>
<key>CFBundleVersion</key>
<string>0.9.2</string>
<string>1.0.0</string>
<key>CFBundleShortVersionString</key>
<string>0.9.2</string>
<string>1.0.0</string>
</dict>
</plist>
/***************************************************************************
/**************************************************************************
**
** This file is part of Qt Creator
**
** Copyright (c) 2008-2009 Nokia Corporation and/or its subsidiary(-ies).
** Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
**
** Contact: Qt Software Information (qt-info@nokia.com)
**
** Commercial Usage
**
** Non-Open Source Usage
** Licensees holding valid Qt Commercial licenses may use this file in
** accordance with the Qt Commercial License Agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Nokia.
**
** Licensees may use this file in accordance with the Qt Beta Version
** License Agreement, Agreement version 2.2 provided with the Software or,
** alternatively, in accordance with the terms contained in a written
** agreement between you and Nokia.
** GNU Lesser General Public License Usage
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file. Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
** Alternatively, this file may be used under the terms of the GNU General
** Public License versions 2.0 or 3.0 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the packaging
** of this file. Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** If you are unsure which license is appropriate for your use, please
** contact the sales department at qt-sales@nokia.com.
**
** http://www.fsf.org/licensing/licenses/info/GPLv2.html and
** http://www.gnu.org/copyleft/gpl.html.
**
** In addition, as a special exception, Nokia gives you certain additional
** rights. These rights are described in the Nokia Qt GPL Exception
** version 1.3, included in the file GPL_EXCEPTION.txt in this package.
**
***************************************************************************/
**************************************************************************/
#include <qglobal.h>
......
This diff is collapsed.
......@@ -24,10 +24,10 @@
<shortcut id="Debugger.AddToWatch" >
<key value="Alt+D, Alt+W" />
</shortcut>
<shortcut id="QtCreator.Mode.GdbDebugger.Mode.Debug" >
<shortcut id="QtCreator.Mode.Debug" >
<key value="Ctrl+3" />
</shortcut>
<shortcut id="Qt Script Editor.Run" >
<shortcut id="QtScriptEditor.Run" >
<key value="" />
</shortcut>
<shortcut id="FindFilter.Files on Disk" >
......@@ -168,19 +168,19 @@
<shortcut id="QtCreator.RevertToSaved" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.Windows" >
<shortcut id="FormEditor.Menu.Preview.Windows" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.Motif" >
<shortcut id="FormEditor.Menu.Preview.Motif" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.CDE" >
<shortcut id="FormEditor.Menu.Preview.CDE" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.Plastique" >
<shortcut id="FormEditor.Menu.Preview.Plastique" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.Cleanlooks" >
<shortcut id="FormEditor.Menu.Preview.Cleanlooks" >
<key value="" />
</shortcut>
<shortcut id="FormEditor.ViewCode" >
......@@ -231,13 +231,13 @@
<shortcut id="QtCreator.DocumentToNextGroup" >
<key value="" />
</shortcut>
<shortcut id="QtCreator.Mode.QtCreator.Mode.Output" >
<shortcut id="QtCreator.Mode.Output" >
<key value="Ctrl+6" />
</shortcut>
<shortcut id="QtCreator.Mode.QtCreator.Mode.Welcome" >
<shortcut id="QtCreator.Mode.Welcome" >
<key value="Ctrl+1" />
</shortcut>
<shortcut id="QtCreator.Mode.QtCreator.Mode.Edit" >
<shortcut id="QtCreator.Mode.Edit" >